<?php

namespace App\Mail;

use App\Models\BorrowTransaction;
use Illuminate\Bus\Queueable;
use Illuminate\Mail\Mailable;
use Illuminate\Queue\SerializesModels;

class PerpanjanganDitolakMail extends Mailable
{
    use Queueable, SerializesModels;

    public $transaction;

    public function __construct(BorrowTransaction $transaction)
    {
        $this->transaction = $transaction;
    }

    public function build()
    {
        return $this->subject('Permintaan Perpanjangan Peminjaman Ditolak')
            ->view('emails.perpanjangan_ditolak');
    }
}

